Package twisted :: Package protocols :: Module portforward :: Class ProxyFactory

[show private | hide private]
[frames | no frames]

## Class ProxyFactory

    Factory --+
              |
             ProxyFactory

Factory for port forwarder.

Method Summary
| `__init__(self, host, port)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `ProxyServer`

Class Variable Details

### ProxyServer

`ProxyServer` = `twisted.protocols.portforward.ProxyServer`

Generated by Epydoc 1.1 on Thu May 8 13:18:54 2003 | http://epydoc.sf.net